module Foureyes
  class Account < Resource
    QUERY = CLIENT.parse <<-GraphQL
      query($api_key: String!, $id: [ID!]) {
        viewer(apiKey: $api_key){
          Accounts(options:{statusFilter:[ACTIVE], ids: $id}){
            edges{
              node{
                id
                account_name
                dealer_code
                created
                updated_at
              }
            }
          }
        }
      }
    GraphQL
  end
end
